[package]
name = "wxbox-tiler"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
actix-web = "4"
thiserror = "1"
ordered-float = "4"
tikv-jemallocator = "0.6"
reqwest = "0.12"
flate2 = "1"
tokio = "1"
wxbox-pal = { version = "0.1", path = "../wxbox-pal" }
png = "0.17"
mime = "0.3.17"
wxbox-grib2 = { version = "0.1", path = "../wxbox-grib2" }
tracing = "0.1"
tracing-subscriber = "0.3"
toml = "0.8"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
wxbox_common = { path = "../wxbox_common" }
image = "0.25"

[dev-dependencies]
approx = "0.5"
insta = "1.40"